﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Trifork.SmartFraming.HL7.Api;
using System.Windows.Forms;

namespace Trifork.SmartFraming.HL7.TestClient
{
    class MyContextAgent: IContextAgent
    {
        private TextBox _textboxForOutput;

        public MyContextAgent(TextBox textboxForOutput)
        {
            _textboxForOutput = textboxForOutput;    
        }

        public ActionResult contextChangesPending(int coupon, string[] itemNames, string[] itemValues)
        {
            _textboxForOutput.AppendText("Pending changes: \n");
            for (int i = 0; i < itemNames.Length; i++)
            {
                _textboxForOutput.AppendText(itemNames[i] + ": " + itemValues[i] + "\n");
            }

            return new ActionResult() { outputNames = itemNames, outputValues = (from n in itemValues select "Out: " + n).ToArray() };
        }
    }
}
