﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using Trifork.SmartFraming.HL7.Api;
using System.Windows.Forms;

namespace Trifork.SmartFraming.HL7.TestClient
{
    class PDFContextAgent: IContextAgent
    {
        public PDFContextAgent()
        {
        }

        public ActionResult contextChangesPending(int coupon, string[] itemNames, string[] itemValues)
        {
            if(itemValues.Length == 2)
            {
                using (var outfile =
                    new BinaryWriter(File.Open(string.Format("PDFReceipt_{0}.pdf", itemValues[0]), FileMode.Create)))
                {
                    var b = Convert.FromBase64String(itemValues[1]);
                    outfile.Write(b);
                }
            }
            return new ActionResult() { outputNames = itemNames, outputValues = (from n in itemValues select "Out: " + n).ToArray() };
        }
    }
}
